#ifndef BUSRULE_H_
#define BUSRULE_H_

#include "networks/wiredbas/WiredBasImplementation.h"

namespace cosi
{

namespace rules
{

namespace wiredbas
{

class BusRule
{

public:
	BusRule();
	virtual ~BusRule();
	virtual bool Satisfies(cosi::commstruct::wiredbas::Implementation pC) = 0 ;
	virtual bool Satisfies(cosi::commstruct::wiredbas::Implementation* pC) = 0 ;

};

}

}

}

#endif /*BUSRULE_H_*/
